package com.yeejoin.amos.knowledgebase.face.orm.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.amos.knowledgebase.face.orm.entity.KnowledgeMessage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface MessageMapper extends BaseMapper<KnowledgeMessage> {

    List<Map> selectMessageListByOwner(@Param("owner") String owner, @Param("messageType")String messageType);

    Map selectMessageBySeq(Long sequenceNbr);

    List<Map> selectMessageListByPage(Map<String,Object> param );

    Integer selectMessageListByCount(Map<String,Object> param);
}
